Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Stylesheet

    public class Stylesheet
    extends org.eclipse.wst.xsl.core.model.XSLElement

The `xsl:stylesheet` model element.

## Field Summary

`package-private java.util.List` | `calledTemplates`
`package-private java.util.List` | `elements`
`package-private IFile` | `file`
`package-private java.util.List` | `functions`
`package-private java.util.List` | `globalVariables`
`package-private java.util.List` | `imports`
`package-private java.util.List` | `includes`
`package-private java.util.List` | `templates`
`package-private java.lang.String` | `version`

## Constructor Summary

`Stylesheet(IFile file)`

## Method Summary

`public void` | `addCalledTemplate(org.eclipse.wst.xsl.core.model.CallTemplate template)` Add a `CallTemplate` to this.
`public void` | `addFunction(org.eclipse.wst.xsl.core.model.Function function)`
`public void` | `addGlobalVariable(org.eclipse.wst.xsl.core.model.Variable var)` Add a global variable to this.
`public void` | `addImport(org.eclipse.wst.xsl.core.model.Import include)` Add an `Import` to this.
`public void` | `addInclude(org.eclipse.wst.xsl.core.model.Include include)` Add an `Include` to this.
`public void` | `addTemplate(org.eclipse.wst.xsl.core.model.Template template)` Add a `Template` to this.
`public java.util.List` | `getCalledTemplates()` Get the list of called templates for this.
`public IFile` | `getFile()` Get the file that this represents.
`public java.util.List` | `getFunctions()` Get the list of functions for this stylesheet.
`public java.util.List` | `getGlobalVariables()`
`public java.util.List` | `getImports()` Get the list of imports for this.
`public java.util.List` | `getIncludes()` Get the list of includes for this.
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public org.eclipse.wst.xsl.core.model.Stylesheet` | `getStylesheet()`
`public java.util.List` | `getTemplates()` Get the list of templates for this.
`public java.lang.String` | `getVersion()` Get the stylesheet version.
`public void` | `setVersion(java.lang.String version)` Set the stylesheet version.

## Field Detail

## calledTemplates

`package-private java.util.List calledTemplates`

## elements

`package-private java.util.List elements`

## file

`package-private IFile file`

## functions

`package-private java.util.List functions`

## globalVariables

`package-private java.util.List globalVariables`

## imports

`package-private java.util.List imports`

## includes

`package-private java.util.List includes`

## templates

`package-private java.util.List templates`

## version

`package-private java.lang.String version`

## Constructor Detail

## Stylesheet

`public Stylesheet(IFile file)`

Create an instance of this.

## Methods Detail

## addCalledTemplate

`public void addCalledTemplate(org.eclipse.wst.xsl.core.model.CallTemplate template)`

Add a `CallTemplate` to this.

### Parameters

`template` - the template to add

## addFunction

`public void addFunction(org.eclipse.wst.xsl.core.model.Function function)`

### Parameters

`function`

## addGlobalVariable

`public void addGlobalVariable(org.eclipse.wst.xsl.core.model.Variable var)`

Add a global variable to this.

### Parameters

`var` - the variable to add

## addImport

`public void addImport(org.eclipse.wst.xsl.core.model.Import include)`

Add an `Import` to this.

### Parameters

`include` - the import to add

## addInclude

`public void addInclude(org.eclipse.wst.xsl.core.model.Include include)`

Add an `Include` to this.

### Parameters

`include` - the include to add

## addTemplate

`public void addTemplate(org.eclipse.wst.xsl.core.model.Template template)`

Add a `Template` to this.

### Parameters

`template` - the template to add

## getCalledTemplates

`public java.util.List getCalledTemplates()`

Get the list of called templates for this.

### Returns

`java.util.List` - the list of called templates

## getFile

`public IFile getFile()`

Get the file that this represents.

### Returns

`IFile` - the file that this represents

## getFunctions

`public java.util.List getFunctions()`

Get the list of functions for this stylesheet.

### Returns

`java.util.List` - the list of called templates

## getGlobalVariables

`public java.util.List getGlobalVariables()`

### Returns

`java.util.List`

## getImports

`public java.util.List getImports()`

Get the list of imports for this.

### Returns

`java.util.List` - the list of imports

## getIncludes

`public java.util.List getIncludes()`

Get the list of includes for this.

### Returns

`java.util.List` - the list of includes

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getStylesheet

`public org.eclipse.wst.xsl.core.model.Stylesheet getStylesheet()`

### Returns

`org.eclipse.wst.xsl.core.model.Stylesheet`

## getTemplates

`public java.util.List getTemplates()`

Get the list of templates for this.

### Returns

`java.util.List` - the list of templates

## getVersion

`public java.lang.String getVersion()`

Get the stylesheet version.

### Returns

`java.lang.String`

## setVersion

`public void setVersion(java.lang.String version)`

Set the stylesheet version.

### Parameters

`version` - the version to set